{% extends "base.html" %}

{% block content %}
{% load crispy_forms_tags %}
<div class="components-container">
  <h3>Component Catalog</h3>

  <div class="spacer-div"></div>

  <!-- form -->
  <form method="post" novalidate>
    <div class="components-form-div">
      {% csrf_token %}
      {{ component_form|crispy }}
    </div>

    <div id="selections-form">
      <div class="card card-outline">
        <div class="card-body">
          <!-- More Settings Form -->
          {% csrf_token %}
          {{ more_selections_form|crispy }}
        </div>
      </div>
    </div>

    <div class="spacer-div-half"></div>

    <div class="card card-outline">
      <a
        class="link-black"
        data-toggle="collapse"
        href="#"
        data-target="#card-expert"
      >
        <div class="card-header" style="padding-top: 7px; padding-bottom: 7px">
          <div class="m-0">
            <i class="fas fa-chevron-down float-right"></i>More settings
          </div>
        </div>
      </a>
      <div id="card-expert" class="collapse">
        <div class="card-body">
          <!-- More Settings Form -->
          {% csrf_token %}
          {{ more_settings_form|crispy }}
        </div>
      </div>
    </div>

    <div class="spacer-div"></div>

    <div class="matching-components-list">
      <!-- Editable table -->
      <div class="card card-outline">
        <h5 class="card-header text-center text-uppercase">
          Matching Components
        </h5>
        <div class="card-body">
          <!-- TODO: Add JS to show this while loading -->
          <div class="align-items-center" hidden>
            <strong>Loading...</strong>
            <div
              class="spinner-border ml-auto float-right"
              role="status"
              aria-hidden="true"
            ></div>
          </div>
          <div id="table" class="table-editable">
            <table
              class="table table-bordered table-responsive-md table-striped text-center"
            >
              <thead>
                <tr>
                  <th class="text-center">Select</th>
                  <th class="text-center">Name</th>
                  <th class="text-center">Link</th>
                  <th class="text-center">Type</th>
                  <th class="text-center">Access via API</th>
                </tr>
              </thead>
              <tbody class='matching_components'>
                <!-- Content is inserted by JavaScript -->
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <!-- Editable table -->

      <div class="inline-container">
        <button type="submit">
          <i class="fas fa-plus" aria-hidden="true"></i>
          Add to Scenario
        </button>
      </div>

      <div class="spacer-div"></div>
    </div>
  </form>
</div>

{% endblock %}
